Update template status

post

/hcmRestApi/resources/11.13.18.05/recruitingMessageDesigns/action/updateTemplateStatus

Updates the status of a message template in the recruiting message designs. This action changes the template status based on the provided input parameters.

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
  • Unique identifier for the message design.
  • Status of the message template. Indicates whether the template is active or inactive. Valid values are Active and Inactive.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : result
Type: object
Additional Properties Allowed
Show Source
Return value indicating the status of the template update operation.
Back to Top